import com.dalsemi.tininet.http.HTTPServer;
import com.dalsemi.tininet.http.HTTPServerException;


public class HelloWeb {

	public static void main(String[] args) {
		
		// Constuct an instance of HTTPServer that listens for
		// requests port 80
		HTTPServer httpd  = new HTTPServer(80);
		httpd.setHTTPRoot("/html");
		httpd.setIndexPage("index.html");
		
		// Specify a name for the log file and turn on logging
		httpd.setLogFilename("/log/web.log");
		httpd.setLogging(true);
		
		// Spin around forever servicing inbound requests
		for (; ; ) {
			try {
				
				// Wait for a new request
				httpd.serviceRequests();
			}
			catch (HTTPServerException e) {
				System.out.println(e.getMessage());
			} // slutt try
		} // slutt for
	} // slutt main
} // slutt HelloWeb